<?php
/**
 * bin/autoload.php
 *
 * Handles the initial setup like autoloading, basic functions, constants, etc.
 *
 * @version 1.1.2
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com/libraries/Bedrock
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Bedrock;

use TheTempusProject\Hermes\Classes\Autoloader;

if ( ! defined('BEDROCK_ROOT_DIRECTORY' ) ) {
    define('BEDROCK_ROOT_DIRECTORY', dirname(__DIR__) . DIRECTORY_SEPARATOR);
}
if ( ! defined('BEDROCK_CONFIG_DIRECTORY' ) ) {
    define('BEDROCK_CONFIG_DIRECTORY', BEDROCK_ROOT_DIRECTORY . 'config' . DIRECTORY_SEPARATOR);
}
if ( ! defined('BEDROCK_CONSTANTS_LOADED' ) ) {
    require_once BEDROCK_CONFIG_DIRECTORY . 'constants.php';
}
if ( class_exists( 'TheTempusProject\Hermes\Classes\Autoloader' ) ) {
    $autoloader = new Autoloader;
    $autoloader->setRootFolder( BEDROCK_ROOT_DIRECTORY );
    $autoloader->addNamespace(
        'TheTempusProject\Bedrock',
        'bin'
    );
    $autoloader->addNamespace(
        'TheTempusProject\Bedrock\Classes',
        'classes'
    );
    $autoloader->addNamespace(
        'TheTempusProject\Bedrock\Functions',
        'functions'
    );
    $autoloader->register();
}

require_once 'bedrock.php';

define( 'BEDROCK_AUTOLOADED', true );
